import {Component, OnInit, OnDestroy, EventEmitter, Input, Output} from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { PagesComponent } from 'app/pages/pages.component';


@Component({
  selector: 'of-member-policy',
  templateUrl: './policy.component.html',
})
export class PolicyComponent implements OnInit, OnDestroy {

  @Input()  policyDisplay;
  @Output() close = new EventEmitter();

  constructor(
    private activatedRoute: ActivatedRoute,
    private router: Router,
  ) {
  }


  ngOnInit() {

  }

  ngOnDestroy() {
  }

  onTermsClose() {
    this.policyDisplay = false;
  }

  onCancel() {
    this.close.emit();
  }
}
